=== debian/changelog ===
clisp (1:2.49.20170913-4build1) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:23:21 +0100

clisp (1:2.49.20170913-4) unstable; urgency=medium

  * Always build with FFI.
    ffcall now builds and passes testsuite on all release architectures and most
    non-release ones. (Closes: #385490)
  * glibc-2.26.patch: new patch, fixes FTBFS against glibc 2.26.
    (Closes: #880686)
  * On mipsel, re-enable -O2 optimization.
    But add -fno-split-wide-types to avoid FTBFS (still need to determine
    whether it is a compiler bug or a wrong assumption of clisp).
  * No longer directly set DEB_HOST_ARCH (use /usr/include/dpkg/architecture.mk)
  * Drop common-lisp-controller (CLC) integration.
  * Drop obsolete preinst script.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Nov 2017 17:09:11 +0100

clisp (1:2.49.20170913-3) unstable; urgency=medium

  * bump-fasl-loader-version.patch: new patch, bumps ABI version.
    Thanks to Agustin Martin (Closes: #877223)
  * Rewrite d/rules using dh.
  * Register manual and impnotes into doc-base.
  * d/watch: use secure URL, bump to format version 4.
  * Install manpages using dh_installman.
  * Make binary packages arch:any (except those requiring FFI).
  * Remove special flags for m68k, alpha and hppa.
  * No longer hardcode version number in d/rules and d/*.install.
  * Remove obsolete Breaks against c-l-c and cl-adsf.
  * Strip extra "clisp" subdir from documentation install path.
  * Add ghostscript to Build-Depends, for PDF documentation.
  * Remove obsolete Pre-Depends on ${xlibs:PreDepends}.
  * Enforce strict versioned dependency of modules on clisp main package.
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Oct 2017 09:59:53 +0200

clisp (1:2.49.20170913-2) unstable; urgency=medium

  * fix-unpack_sstring_alloca_help_.patch: new patch, fixes FTBFS on 32-bit
    little-endian archs.
  * Disable FFI on mips.
  * stream-flags-alignment.patch: new patch, fixes FTBFS on mips.
  * The above changes together should fix FTBFS on armel, armhf, i386, mips and
    mipsel. (Closes: #598152, #751005)
  * Do not use --enable-portability on x86 archs.
  * maxlenpath.patch: new patch by Flavio Cruz. Fixes FTBFS on hurd-i386.
    (Closes: #805701, #801260)
  * Add support for arm64, mips64el, ppc64 and ppc64el.
  * Enable FFI on powerpc.
  * Drop references to dead architectures (ia64, sparc, s390).
  * Use DEB_HOST_ARCH instead of DEB_BUILD_ARCH for determining
    architecture of packages to be built.
  * Add myself to Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Sep 2017 21:09:17 +0200

clisp (1:2.49.20170913-1) unstable; urgency=medium

  * Rebuild for new libffcall ABI. 
  * Add missing missing build-{arch,indep} targets. Thanks for the patch to
    Santiago Vila. (Closes: #821973)
  * Make clisp-doc Multi-Arch: foreign
  * Imported upstream snapshot of 13 September 2017. This once fixes:
    - the find -perm syntax being outdated. (Closes: #724767)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 01 Jul 2017 08:38:16 +0200

clisp (1:2.49.60+-2) unstable; urgency=medium

  * Use '--enable-portability' as per advice of Bruno Haible. 
    this should help with the buildd problems.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 30 Jun 2017 21:07:54 +0200
