=== debian/control ===
Source: clisp
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Christoph Egger <christoph@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends:
 debhelper (>> 10),
 gettext,
 bison,
 libncurses5-dev,
 groff,
 ghostscript,
 libx11-dev,
 libxext-dev,
 libxpm-dev,
 libsigsegv-dev (>= 2.11),
 libreadline-gplv2-dev,
 dh-lisp (>= 0.7.1),
 libdb-dev,
 libffcall-dev,
 libgdbm-dev,
 libpq-dev,
 libpcre3-dev,
 libdbus-1-dev,
 zlib1g-dev
Build-Conflicts: libsigsegv-dev (<= 2.8), libreadline6-dev
Standards-Version: 4.1.1
Homepage: http://www.clisp.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/clisp.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/clisp.git/

Package: clisp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: lisp-compiler, ${clisp:fasl-version}
Suggests: gdb, clisp-doc, clisp-dev, slime
Description: GNU CLISP, a Common Lisp implementation
 ANSI Common Lisp is a high-level, general-purpose programming language.
 GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
 University and Michael Stoll of Munich University, both in Germany.
 It mostly supports the Lisp described in the ANSI Common Lisp standard.
 It runs on most Unix workstations (GNU/Linux, FreeBSD, NetBSD, OpenBSD,
 Solaris, Tru64, HP-UX, BeOS, NeXTstep, IRIX, AIX and others) and on
 other systems (Windows NT/2000/XP, Windows 95/98/ME) and needs only
 4 MB of RAM.
 .
 It is Free Software and may be distributed under the terms of GNU GPL,
 while it is possible to distribute commercial proprietary applications
 compiled with GNU CLISP.
 .
 The user interface comes in English, German, French, Spanish, Dutch,
 Russian and Danish, and can be changed at run time.
 GNU CLISP includes an interpreter, a compiler, a debugger, CLOS, MOP,
 a foreign language interface, sockets, i18n, fast bignums and more.
 An X11 interface is available through CLX, Garnet, CLUE/CLIO.
 GNU CLISP runs Maxima, ACL2 and many other Common Lisp packages.

Package: clisp-dev
Architecture: any
Depends: clisp (= ${binary:Version}), ${misc:Depends}
Description: GNU CLISP, a Common Lisp implementation (development files)
 This is the link kit of clisp, it can be used to add external modules (written
 for example in C) to the implementation. The module can define new
 variables, symbols and functions for use in clisp. Examples include
 database interfaces or widget libraries. Normal users do not need
 this.
 .
 See also http://clisp.cons.org/impnotes.html#modules
 .
 ANSI Common Lisp is a high-level, general-purpose programming language.
 GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
 University and Michael Stoll of Munich University, both in Germany.
 It mostly supports the Lisp described in the ANSI Common Lisp standard.
 It runs on most Unix workstations (GNU/Linux, FreeBSD, NetBSD, OpenBSD,
 Solaris, Tru64, HP-UX, BeOS, NeXTstep, IRIX, AIX and others) and on
 other systems (Windows NT/2000/XP, Windows 95/98/ME) and needs only
 4 MB of RAM.

Package: clisp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GNU CLISP, a Common Lisp implementation (documentation)
 This is the documentation for clisp.
 .
 ANSI Common Lisp is a high-level, general-purpose programming language.
 GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
 University and Michael Stoll of Munich University, both in Germany.
 It mostly supports the Lisp described in the ANSI Common Lisp standard.
 It runs on most Unix workstations (GNU/Linux, FreeBSD, NetBSD, OpenBSD,
 Solaris, Tru64, HP-UX, BeOS, NeXTstep, IRIX, AIX and others) and on
 other systems (Windows NT/2000/XP, Windows 95/98/ME) and needs only
 4 MB of RAM.


Package: clisp-module-berkeley-db
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Description: clisp module that adds an interface to Berkeley DB
 This adds a module to clisp that implements an interface to the
 Berkeley DB.

Package: clisp-module-pcre
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Description: clisp module that adds libpcre support
 This adds a module to clisp that implements an interface to the
 libpcre which implements Perl-compatible regular expressions.

Package: clisp-module-bindings-glibc
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Description: clisp module that adds the glibc bindings
 This adds a module to clisp that implements an interface to the
 glibc library, adding support for a number of low level functions.

Package: clisp-module-postgresql
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Description: clisp module that adds a PostgreSQL interface
 This adds a module to clisp that implements an interface to the
 PostgreSQL DB using the C bindings.

Package: clisp-module-clx
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Description: clisp module that adds X11 bindings
 This adds a module to clisp that implements an interface to the
 X11 called CLX.

Package: clisp-module-rawsock
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Description: clisp module that adds a low level socket interface
 This adds a module to clisp that implements an interface to the
 socket interfaces.

Package: clisp-module-dbus
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Description: clisp module that adds an interface to D-Bus
 This adds a module to clisp that implements an interface to the
 D-Bus system.

Package: clisp-module-gdbm
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Description: clisp module that adds an interface to GNU DBM
 This adds a module to clisp that implements an interface to
 GNU DBM.

Package: clisp-module-zlib
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Description: clisp module that adds zlib support for vectors
 This adds a module to clisp that implements a zlib interface,
 allowing you to compress vectors using zlib.
