=== debian/changelog ===
clisp (1:2.49.20180218+really2.49.92-3build3) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:33:57 +0000

clisp (1:2.49.20180218+really2.49.92-3build2) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:58:29 +0000

clisp (1:2.49.20180218+really2.49.92-3build1) disco; urgency=medium

  * Rebuild against new libgdbm6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Nov 2018 15:01:24 +0100

clisp (1:2.49.20180218+really2.49.92-3) unstable; urgency=medium

  * socket-test.patch: new patch, fixes FTBFS on mips*, sparc64 and hurd-i386.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Apr 2018 17:43:40 +0200

clisp (1:2.49.20180218+really2.49.92-2) unstable; urgency=medium

  * Disable parallelization when running the testsuite.
  * Drop clisp-hurd-einval-extra.patch: no longer needed.
  * ppc64el.patch: new patch, fixes FTBFS on ppc64el.
  * Set Maintainer to debian-common-lisp@l.d.o.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 12 Apr 2018 14:48:29 +0200

clisp (1:2.49.20180218+really2.49.92-1) experimental; urgency=medium

  * New upstream beta release (2.49.92).
  * d/copyright: reflect upstream changes.
  * Drop patches applied upstream:
    + memory-map-amd64.patch
    + memory-map-arm64.patch
    + memory-map-i386.patch
    + memory-map-mips.patch
    + memory-map-mips64.patch
    + memory-map-s390x.patch

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 18 Feb 2018 17:02:31 +0100

clisp (1:2.49.20180212+really2.49.90-2) experimental; urgency=medium

  * New patches sent by upstream, should fix some FTBFS:
    + memory-map-arm64.patch
    + memory-map-i386.patch
    + memory-map-mips.patch
    + memory-map-mips64.patch
    + memory-map-s390x.patch
  * Bump Standards-Version to 4.1.3.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 17 Feb 2018 09:35:19 +0100

clisp (1:2.49.20180212+really2.49.90-1) experimental; urgency=medium

  * New upstream beta release (2.49.90).
  * Update Vcs-* fields for salsa.
  * Remove patches applied upstream / no longer needed:
    + fix-unpack_sstring_alloca_help_.patch
    + glibc-2.26.patch
    + kfreebsd-amd64.diff
    + maxpathlen.patch
    + stream-flags-alignment.patch
  * Drop Build-Depends on dh-lisp.
  * Add Build-Depends on libunistring-dev.
  * Rewrite d/copyright using machine-readable format 1.0.
  * Build against latest libreadline-dev now that CLISP is GPL-2+.
  * Drop obsolete README.source.
  * Bump to debhelper compat level 11.
  * memory-map-amd64.patch: new patch, needed for newer kernels on amd64.
  * Simplify debian/rules, by using --builddirectory option to dh.
    In particular, dh_auto_test will now run the testsuite at build time.
    Also disable -fstack-protector-strong flag, and parallel build.
  * Add Build-Depends on locales-all, needed by the testsuite (which
    requires the en_US.utf8 locale).
  * Simplify package layout: merge clisp-dev, clisp-module-rawsock and
    clisp-module-bindings-glibc into main clisp package.
    Also add Suggests to other modules, which in turn declare an Enhances on
    clisp.
  * Build ASDF module (into main clisp package).
  * Remove -marm on armhf and -fno-split-wide-types on mipsel.
  * Drop bump-fasl-loader-version.patch (Closes: #886986)
  * Add virtual Provides on clisp-memfile-hash-NNNNNN, for use by reverse
    dependencies that embed a lisp image (like xindy).

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 13 Feb 2018 22:01:12 +0100
